#define USE_DEFAULT_PIX
#include "../../base.shader"

struct VERT_INPUT_ANIMATED
{
	float4 location : POSITION;
	float4 color : COLOR0;
	float2 uv : TEXCOORD0;
	float horizontalUVOffsetPerFrame : NORMAL0;
	float animationInterval : NORMAL1;
	float animationStartTime : NORMAL2;
	float animationFrames : NORMAL3;
};

float4x4 _transform;
float _gameTime;
VERT_OUTPUT vert(in VERT_INPUT_ANIMATED input)
{
	VERT_OUTPUT output;
	output.location = mul(input.location, _transform);
	output.color = input.color;
	output.uv.y = input.uv.y;
	int frame = min((int)((_gameTime - input.animationStartTime) / input.animationInterval), (int)input.animationFrames - 1);
	output.uv.x = input.uv.x + input.horizontalUVOffsetPerFrame * frame;
	return output;
}
